net.sf.jasperreports.engine.base

## Class JRBaseReportTemplate

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseReportTemplate

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRReportTemplate
  Direct Known Subclasses:
    JRDesignReportTemplate

      public class JRBaseReportTemplate
      extends java.lang.Object
      implements JRReportTemplate, java.io.Serializable, JRCloneable

  Base read-only implementation of `JRReportTemplate`.
  Version:
    $Id: JRBaseReportTemplate.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `sourceExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseReportTemplate()`
    `` | `JRBaseReportTemplate(JRReportTemplate reportTemplate, JRAbstractObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getSourceExpression()` Returns the template source expression.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceExpression

          protected JRExpression sourceExpression

  - ### Constructor Detail

    - #### JRBaseReportTemplate

          protected JRBaseReportTemplate()

    - #### JRBaseReportTemplate

          public JRBaseReportTemplate(JRReportTemplate reportTemplate,
                              JRAbstractObjectFactory factory)

  - ### Method Detail

    - #### getSourceExpression

          public JRExpression getSourceExpression()

      Description copied from interface: `JRReportTemplate`
      Returns the template source expression.

      The expression type should be (compatible with) one of `java.lang.String`, `java.io.File`, `java.net.URL`, `java.io.InputStream` (in which cases the template is loaded via `JRXmlTemplateLoader`) or `net.sf.jasperreports.engine.JRTemplate` .
      Specified by:
        `getSourceExpression` in interface `JRReportTemplate`
      Returns:
        the template source expression

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com